package com.jjt.hl.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 业务模型健康度指标得分对象 hl_metrics_score
 *
 * @author jjt
 * @date 2024-09-05
 */
@ApiModel(value = "HlMetricsScore", description = "业务模型健康度指标得分")
public class HlMetricsScore extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 指标明细ID */
    @ApiModelProperty("指标明细ID")
    @TableId
    private Long scoreMetricsId;

    /** 健康度分类ID */
    @ApiModelProperty("健康度分类ID")
    @Excel(name = "健康度分类ID")
    private Long scoreClassId;

    /** 指标ID */
    @ApiModelProperty("指标ID")
    @Excel(name = "指标ID")
    private Long metricsId;

    /** 健康度分值 */
    @ApiModelProperty("健康度分值")
    @Excel(name = "健康度分值")
    private String hlScore;

    /** 评分标准 */
    @ApiModelProperty("评分标准")
    @Excel(name = "评分标准")
    private String hlStand;

    /** 扣分 */
    @ApiModelProperty("扣分")
    @Excel(name = "扣分")
    private BigDecimal loseScore;

    /** 得分 */
    @ApiModelProperty("得分")
    @Excel(name = "得分")
    private BigDecimal score;

    public void setScoreMetricsId(Long scoreMetricsId)
    {
        this.scoreMetricsId = scoreMetricsId;
    }

    public Long getScoreMetricsId()
    {
        return scoreMetricsId;
    }
    public void setScoreClassId(Long scoreClassId)
    {
        this.scoreClassId = scoreClassId;
    }

    public Long getScoreClassId()
    {
        return scoreClassId;
    }
    public void setMetricsId(Long metricsId)
    {
        this.metricsId = metricsId;
    }

    public Long getMetricsId()
    {
        return metricsId;
    }
    public void setHlScore(String hlScore)
    {
        this.hlScore = hlScore;
    }

    public String getHlScore()
    {
        return hlScore;
    }
    public void setHlStand(String hlStand)
    {
        this.hlStand = hlStand;
    }

    public String getHlStand()
    {
        return hlStand;
    }
    public void setLoseScore(BigDecimal loseScore)
    {
        this.loseScore = loseScore;
    }

    public BigDecimal getLoseScore()
    {
        return loseScore;
    }
    public void setScore(BigDecimal score)
    {
        this.score = score;
    }

    public BigDecimal getScore()
    {
        return score;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("scoreMetricsId", getScoreMetricsId())
            .append("scoreClassId", getScoreClassId())
            .append("metricsId", getMetricsId())
            .append("hlScore", getHlScore())
            .append("hlStand", getHlStand())
            .append("loseScore", getLoseScore())
            .append("score", getScore())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
