package com.jjt.hl.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.hl.domain.HlMetrics;

/**
 * 业务模型健康度指标Mapper接口
 * 
 * @author jjt
 * @date 2024-09-05
 */
public interface HlMetricsMapper extends BaseMapper<HlMetrics>
{
    /**
     * 查询业务模型健康度指标
     * 
     * @param hlMetricsId 业务模型健康度指标主键
     * @return 业务模型健康度指标
     */
    public HlMetrics selectHlMetricsByHlMetricsId(Long hlMetricsId);

    /**
     * 查询业务模型健康度指标列表
     * 
     * @param hlMetrics 业务模型健康度指标
     * @return 业务模型健康度指标集合
     */
    public List<HlMetrics> selectHlMetricsList(HlMetrics hlMetrics);

    /**
     * 新增业务模型健康度指标
     * 
     * @param hlMetrics 业务模型健康度指标
     * @return 结果
     */
    public int insertHlMetrics(HlMetrics hlMetrics);

    /**
     * 修改业务模型健康度指标
     * 
     * @param hlMetrics 业务模型健康度指标
     * @return 结果
     */
    public int updateHlMetrics(HlMetrics hlMetrics);

    /**
     * 删除业务模型健康度指标
     * 
     * @param hlMetricsId 业务模型健康度指标主键
     * @return 结果
     */
    public int deleteHlMetricsByHlMetricsId(Long hlMetricsId);

    /**
     * 批量删除业务模型健康度指标
     * 
     * @param hlMetricsIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHlMetricsByHlMetricsIds(Long[] hlMetricsIds);
}
